.t-body_scroll-locked {
	position: fixed;
	left: 0;
	width: 100%;
}

.t-zoomer__show_fixed {
	height: 100vh;
	max-height: 100vh;
	max-width: 100%;
	overflow: hidden;
}

.t-carousel__zoomer__wrapper {
	position: relative;
}

.t-zoomer__ui-item {
	width: 37px;
	height: 37px;
	padding: 10px;
	border-radius: 50%;
	transition-duration: 0.3s;
	transition-property: opacity, background-color, box-shadow;
	transition-timing-function: ease-in-out;
	will-change: opacity, background-color, box-shadow;
	display: flex;
	align-items: center;
	justify-content: center;
	background: rgba(255, 255, 255, 0.5);
	box-sizing: border-box;
	cursor: pointer;
	box-shadow: 0 0 3px rgba(1, 1, 1, 0.1);
}

.t-zoomer__hide-animation {
	opacity: 0;
}

.t-zoomer__ui-item--dark {
	background: rgba(1, 1, 1, 0.5);
}

.t-zoomer__ui-item--dark svg {
	filter: invert(1);
}

@media (hover: hover) {
	.t-zoomer__ui-item:hover,
	.t-carousel__zoomer__control:hover > .t-zoomer__ui-item {
		background: rgba(255, 255, 255, 1);
		opacity: 1;
	}
	.t-zoomer__ui-item--dark:hover,
	.t-carousel__zoomer__control:hover > .t-zoomer__ui-item--dark {
		background: rgba(1, 1, 1, 1);
		box-shadow: 0 0 3px rgba(255, 255, 255, 0.25);
	}
}

@keyframes showZoomerWrapper {
	from {
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}

.t-zoomer__wrapper {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: -1;
	opacity: 0;
	display: none;
	user-select: none;
	transition: transform 0.3s ease-out;
}

.t-zoomer__show .zoomer-no-scale .t-carousel__zoomer__inner {
	cursor: default;
}

.t-zoomer__show .t-zoomer__wrapper {
	z-index: 10000001;
	display: block;
	animation: showZoomerWrapper 0.3s ease-in-out both;
}

.t-zoomer__container {
	text-align: center;
	top: 0;
	transition: 0.4s ease opacity;
	opacity: 1;
	z-index: 99999999;
}

.t-zoomer__bg,
.t-zoomer__container {
	position: absolute;
	right: 0;
	bottom: 0;
	left: 0;
}

.t-zoomer__container--on-close,
.t-zoomer__wrapper:has(.t-zoomer__container--on-close) .t-zoomer__ui-item,
body:has(.t-zoomer__container--on-close) .t_zoomer__animated-wrapper {
	opacity: 0;
}

.t-zoomer__container--on-close .t-carousel__zoomer__item.active {
	transform: scale(0.7) translateY(50%);
	opacity: 0;
}

.t-zoomer__bg {
	top: 0;
	cursor: zoom-in;
}

.t-zoomer__comments {
	background-color: hsla(0, 0%, 100%, 0.5);
	border-radius: 4px;
	box-sizing: border-box;
	display: inline-block;
	max-width: calc(100% - 10px);
	width: max-content;
	padding: 4px 10px;
	text-align: center;
	margin: auto;
	position: absolute;
	bottom: 5px;
	right: 5px;
	left: 5px;
	transition-duration: 0.15s;
	transition-timing-function: ease-in-out;
	transition-property: opacity;
	will-change: opacity;
	opacity: 1;
}

.scale-active .t-zoomer__comments.t-zoomer__hide-animation,
.t-zoomer__comments.t-zoomer__hide-animation {
	opacity: 0;
}

.scale-active .t-zoomer__comments {
	bottom: auto;
	top: 5px;
}

.t-zoomer__comments .t-zoomer__title,
.t-zoomer__comments .t-zoomer__descr {
	color: black;
}

.t-zoomer__comments--dark {
	background-color: rgba(1, 1, 1, 0.5);
}

.t-zoomer__comments--dark .t-zoomer__title,
.t-zoomer__comments--dark .t-zoomer__descr {
	color: white;
}

.t-zoomable {
	cursor: zoom-in;
}

.t-zoomer__show .t-carousel__zoomer__inner,
.t-zoomer__show .t-zoomable {
	cursor: zoom-in;
}

.t-carousel__zoomed,
.t-carousel__zoomer__slides {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}

.t-carousel__zoomer__inner {
	position: absolute;
	top: 15px;
	right: 15px;
	bottom: 15px;
	left: 15px;
	overflow: hidden;
}

.t-carousel__zoomer__track {
	position: absolute;
	top: 0;
	bottom: 0;
	display: flex;
	align-items: center;
	backface-visibility: hidden;
	transform-style: preserve-3d;
}

.t-zoomer__container--mobile .t-carousel__zoomer__track {
	transition: 0.25s cubic-bezier(0.29, 0.39, 0.2, 0.96) transform;
}

.t-carousel__zoomer__item {
	width: calc(100vw - 30px);
	height: 100%;
	flex-shrink: 0;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	opacity: 0;
	transition-duration: 0.2s;
	transition-timing-function: ease-in-out;
	transition-property: opacity, transform;
}

.scale-active .t-carousel__zoomer__item {
	width: 100vw;
}

.t-zoomer__container--mobile:not(.t-zoomer__container--on-close) .t-carousel__zoomer__item {
	opacity: 1;
	transition: none;
}

.t-carousel__zoomer__item.active {
	opacity: 1;
}

.t-carousel__zoomer__img {
	display: block;
	max-width: 100%;
	max-height: calc(100vh - 30px);
	object-fit: contain;
	margin: auto;
	overflow: auto;
	transform: none;
	backface-visibility: hidden;
}

.t-zoomer-loader {
	height: 40px;
	width: 40px;
	position: absolute;
	z-index: 1000;
	mix-blend-mode: difference;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
	display: none;
}

/* info: если у активного слайда не задан класс .loaded - показываем прелоадер */
.t-carousel__zoomer__inner:has(.t-carousel__zoomer__item.active img:not(.loaded)) .t-zoomer-loader,
.t_zoomer__animated-wrapper .t-zoomer-loader {
	display: inline-block;
}

/* info: при наличии лоадера скрываем элемент, пока он окончательно не прогрузился */
.t-carousel__zoomer__inner:has(.t-zoomer-loader) .t-carousel__zoomer__item.active:has(img:not(.loaded)) {
	opacity: 0;
}

.t-zoomer-loader .t-icon-loader-rect {
	--animation-duration: 1s;
	animation: t-icon-loader-animation var(--animation-duration) linear infinite;
}

.t-zoomer-loader .t-icon-loader-rect:nth-child(1) {
	animation-delay: calc(var(--animation-duration) / -8 * 8);
}

.t-zoomer-loader .t-icon-loader-rect:nth-child(2) {
	animation-delay: calc(var(--animation-duration) / -8 * 7);
}

.t-zoomer-loader .t-icon-loader-rect:nth-child(3) {
	animation-delay: calc(var(--animation-duration) / -8 * 6);
}

.t-zoomer-loader .t-icon-loader-rect:nth-child(4) {
	animation-delay: calc(var(--animation-duration) / -8 * 5);
}

.t-zoomer-loader .t-icon-loader-rect:nth-child(5) {
	animation-delay: calc(var(--animation-duration) / -8 * 4);
}

.t-zoomer-loader .t-icon-loader-rect:nth-child(6) {
	animation-delay: calc(var(--animation-duration) / -8 * 3);
}

.t-zoomer-loader .t-icon-loader-rect:nth-child(7) {
	animation-delay: calc(var(--animation-duration) / -8 * 2);
}

.t-zoomer-loader .t-icon-loader-rect:nth-child(8) {
	animation-delay: calc(var(--animation-duration) / -8 * 1);
}

@keyframes t-icon-loader-animation {
	to {
		opacity: 0;
	}
}

.t-carousel__zoomer__control {
	position: absolute;
	top: 50px;
	bottom: 50px;
	left: 0;
	width: 15%;
	transition: opacity ease-in-out 0.3s;
	cursor: pointer;
	z-index: 99;
	display: flex;
	align-items: center;
	padding: 0 13px;
}

.t-carousel__zoomer__control_right {
	left: auto;
	right: 0;
	justify-content: flex-end;
}

img.t-carousel__zoomer__img.ui-draggable.ui-draggable-handle {
	cursor: grab;
}

.scale-active .t-carousel__zoomer__img {
	max-height: inherit;
	max-width: inherit;
	top: unset;
	right: unset;
	bottom: unset;
	left: unset;
	cursor: zoom-out;
	position: absolute;
}

.scale-active .t-carousel__zoomer__inner {
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}

.scale-active .t-carousel__zoomer__control {
	height: 15%;
	margin: auto;
}

.t-zoomer__scale--disabled {
	opacity: 0 !important;
	cursor: default;
	pointer-events: none;
}

.t-zoomer__ui-wrapper {
	display: flex;
	gap: 10px;
	position: absolute;
	right: 13px;
	top: 13px;
	z-index: 999999999999;
}

.t-zoomer__scale .icon-increase {
	display: block;
}

.scale-active .t-carousel__zoomer__item {
	display: none;
}

.scale-active .t-carousel__zoomer__item.active {
	display: block;
}

.scale-active .t-zoomer__scale .icon-increase,
.t-zoomer__scale .icon-decrease {
	display: none;
}

.scale-active .t-zoomer__scale .icon-decrease {
	display: block;
}

.t-zoomer-control_dark {
	background: rgba(0, 0, 0, 1);
}

.t-zoomer__title {
	font-size: 16px;
	font-weight: 500;
}

.t_zoomer__animated-wrapper {
	position: fixed;
	z-index: 1000000002;
	pointer-events: none;
	transition-property: top, left, width, height, opacity;
	transition-duration: 0.35s;
	transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
	will-change: top, left, width, height, opacity;
}

.t_zoomer__animated-image {
	object-fit: cover;
	width: 100%;
	height: 100%;
	opacity: 0;
}

.t_zoomer__animated-wrapper--loaded .t_zoomer__animated-image {
	opacity: 1;
}

body:has(.t_zoomer__animated-wrapper) .t-carousel__zoomer__inner .t-carousel__zoomer__item.active {
	visibility: hidden;
}

@media screen and (max-width: 1200px) {
	.t-zoomer__title {
		font-size: 14px;
	}
}

@media screen and (max-width: 768px) {
	.t-carousel__zoomer__inner {
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
	}

	.t-carousel__zoomer__item {
		width: 100vw;
	}
}

.t-carousel__zoomer__item-innactive .t-carousel__zoomer__wrapper {
	display: none;
}
